body {
    background-color: #f5f5f5;
    font-family: "Roboto Slab", serif;
    color: #3e3e3e;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    margin: 0;
}

hr {
    border: none;
    border-top: 1px solid #dddddd;
}

button {
    color: white;
    background-color: #3b6ec9;
    border: none;
    outline: none;
    font-family: "Roboto Slab", serif;
    font-weight: 400;
    font-size: medium;
    border-radius: 4px;
    cursor: pointer;
    padding-top: 4.5px;
    padding-bottom: 4.5px;
    padding-left: 9px;
    padding-right: 9px;
}

pre {
    overflow-y: hidden;
    border: 1px solid #ddd;
    border-radius: 4px;
    padding: 12px;
    width: 90%;
    max-width: 700px;
    color: #3e3e3e;
    min-height: 2vh;
}

footer {
    padding: clamp(0.5rem, 2vw, 0.5rem);
    color: #868686;
    background-color: #3e3e3e;
    text-align: center;
    font-size: clamp(0.75rem, 2.5vw, 1rem);
}

footer a {
    color: #868686;
}

#content {
    flex: 1;
    padding: 8px;
}

#logo-container {
    display: flex;
    align-items: center;
    gap: 1vw;
}

#logo-container h1 {
    font-size: clamp(1.5rem, 4vw, 2rem);
}

#logo {
    width: 5em;
    height: auto;
}

#code {
    resize: vertical;
    overflow-y: hidden;
    field-sizing: content;
    border: 1px solid #ddd;
    border-radius: 4px;
    padding: 12px;
    width: 90%;
    max-width: 700px;
    min-height: 10vh;
    color: #3e3e3e;
}

#examples {
    display: flex;
    padding-bottom: 5px;
}

#examples a {
    margin-left: 5px;
}

#output {
    margin: 0;
    white-space: pre-wrap;
    word-break: break-word;
}

a.button {
    color: #3b6ec9;
    cursor: pointer;
    text-decoration: none;
}

@media (hover: hover) {
    button:hover {
        background-color: #2a5091;
    }

    a.button:hover {
        color: #3e3e3e;
    }
}
